Paying too much to process cards? Get a cheaper quote today.Schedule a call →

Accounts

5 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.

Every request needs payments-api-key and payments-account.

GET/v1/accounts

Get an Account

Retrieves the details of an existing Account.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200Account

  • bank_accountsarray of BankAccountrequired

    Bank accounts attached to this account. Primarily used for payouts.

  • business_profileBusinessProfileoptional

    The Business Profile for this account.

  • capabilitiesarray of AccountCapabilityoptional

    Capabilities represent the assigned product codes to a given merchant account and their status.

  • created_atstring date-timerequired

    Time at which the object was created.

  • document_requestsarray of AccountDocumentrequired

    Documents that have been requested for an account, which are either in the requested or submitted status

  • emailstringoptional

    The primary user's email address.

  • idstringrequired

    Unique identifier for the object.

  • merchant_supportbooleanoptional

    Whether Paydude is providing support for this account.

  • metadataobjectoptional

    Set of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

  • namestringoptional

    The business name or individual name.

  • settingsAccountSettingsoptional

    The account settings object.

  • split_pay_settingsSplitPaySettingsoptional

    Split Pay settings for the account. Currently in beta and not available to all accounts.

  • statusstring (active | requires_pricing | funding_hold | account_review | partially_active | action_required | created | started | …)optional

    The status of the account.

  • surcharging_settingsSurchargingSettingsoptional

    Surcharging settings for the account. Currently in beta and not available to all accounts.

  • terminal_readersarray of TerminalReaderrequired

    Terminal Readers attached to this account.

  • typestring (partner | merchant | reseller)required

    The Paydude account type. Can be partner or merchant.

  • updated_atstring date-timerequired

    Time at which the object was last updated.

  • white_label_domainstringoptional

    The partner white label domain.

PATCH/v1/accounts

Update an Account

Updates an Account by setting the values of the provided parameters. Any parameters not provided remain unchanged.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Request body application/jsonrequired

  • bank_accountBankAccountCreateParamsoptional

    A bank account to attach to this account for receiving payouts. (Note: currently this is only used for partner account payouts) By default, providing a bank account sets it as the new default bank account for its currency.

  • batch_safety_net_window_hoursnumberoptional

    Per-merchant safety-net deadline for manual batch close. If a Batch is still open at opened_at + window, the platform auto-closes it. Processor implementations must not exceed their Kestrel-declared maxSafetyNetWindowHours.

  • emailstringoptional

    The primary user's email address.

  • metadataobjectoptional

    Set of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value (i.e. '' or null) to them. All keys can be unset by posting an empty value (i.e. {} or null) to metadata.

  • namestringoptional

    The business name or individual name.

  • settingsAccountSettingsCreateParamsoptional

    Account Settings

  • split_pay_settingsSplitPaySettingsoptional

    Split Pay settings for the account. Currently in beta and not available to all accounts.

  • surcharging_settingsSurchargingSettingsoptional

    Surcharging settings for the account. Currently in beta and not available to all accounts.

  • white_label_domainstringoptional

    The custom domain the partner chooses to reflect on all of its merchant accounts as part of the white label settings. It must use the Paydude-hosted zone for the current environment, or an active reseller partner zone when enabled. *Note: This feature is only available to Partner accounts.*

Responses

200Account

  • bank_accountsarray of BankAccountrequired

    Bank accounts attached to this account. Primarily used for payouts.

  • business_profileBusinessProfileoptional

    The Business Profile for this account.

  • capabilitiesarray of AccountCapabilityoptional

    Capabilities represent the assigned product codes to a given merchant account and their status.

  • created_atstring date-timerequired

    Time at which the object was created.

  • document_requestsarray of AccountDocumentrequired

    Documents that have been requested for an account, which are either in the requested or submitted status

  • emailstringoptional

    The primary user's email address.

  • idstringrequired

    Unique identifier for the object.

  • merchant_supportbooleanoptional

    Whether Paydude is providing support for this account.

  • metadataobjectoptional

    Set of [key-value pairs](#section/Metadata) that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

  • namestringoptional

    The business name or individual name.

  • settingsAccountSettingsoptional

    The account settings object.

  • split_pay_settingsSplitPaySettingsoptional

    Split Pay settings for the account. Currently in beta and not available to all accounts.

  • statusstring (active | requires_pricing | funding_hold | account_review | partially_active | action_required | created | started | …)optional

    The status of the account.

  • surcharging_settingsSurchargingSettingsoptional

    Surcharging settings for the account. Currently in beta and not available to all accounts.

  • terminal_readersarray of TerminalReaderrequired

    Terminal Readers attached to this account.

  • typestring (partner | merchant | reseller)required

    The Paydude account type. Can be partner or merchant.

  • updated_atstring date-timerequired

    Time at which the object was last updated.

  • white_label_domainstringoptional

    The partner white label domain.

POST/v1/accounts/capabilities

Add an Account Capability

Adds an Account capability. Account capabilities can only be managed before the onboarding application is submitted.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Request body application/jsonrequired

  • pricing_template_idstringrequired

    The PricingTemplate id defining the capability to add to the account. Merchant accounts may only have 1 capability per payment_method_type.

Responses

201

DELETE/v1/accounts/capabilities/{id}

Delete an Account Capability

Deletes an Account capability. Account capabilities can only be managed before the onboarding application is submitted.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

204

POST/v1/accounts/capabilities/{id}

Update an Account Capability

Updates an Account capability. Account capabilities can only be managed before the onboarding application is submitted.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Request body application/jsonrequired

  • pricing_template_idstringrequired

    The PricingTemplate id defining the capability to add to the account. Merchant accounts may only have 1 capability per payment_method_type.

Responses

201